This module builds a python extension of the isocontouring library
developed in Chandrajit Bajaj's group at UT Austin (http://ccvweb.csres.utexas.edu/software). 
This distribution contains source code of the library (see src/Isocontour-license.txt).
Distutils are used to wrap the library with SWIG (version 1.3.20 or higher),
build the C++ library (libcontour.a) and build the python extension (_isocontour.so).

To build and install the extension:

python2.3 setup.py install

This will:
- build static library libcontour.a in ./build/temp.<platform_specifier>;
- generate a python shadow class module isocontour.py  in
  ./build/lib.<platform_specifier>/UTpackages/UTisocontour
- build _isocontour.so in ./build/lib.<platform_specifier>/UTpackages/UTisocontour;
- copy the  package from ./build/lib.<platform_specifier> to
  sys.exec_prefix/lib/python2.3/site-packages/;

The install command can be called with the following options:

 --install-platlib=INSTALL_DIR
	installs the package in specified INSTALL_DIR
 --no-compile
	do not compile .py to .pyc

Example:
   python2.3 setup.py install --install-platlib=/home/myname/myinstalldir

To build the extension only:
   python2.3 setup.py build

To build source distribution:
   python2.3 setup.py sdist

To build binary distribution:
   python2.3 setup.py bdist


